우분투 22.04.1이 출시된 것 같습니다. 우분투는 .1이 붙은 업데이트가 나오면 이전 세대의 우분투를 업그레이드 할 수 있는데, 저는 우분투 16.04와 우분투 18.04 사용할 때는 강제로 업그레이드 하였지만 이번에 우분부 20.04에서 22.04.1로 업그레이드할 때는 자동으로 추천 메세지가 올 때까지 기다려서 진행했습니다.

 

▼ 우분투 18.04에서 20.04.1로 업그레이드할 때에는 매우 순조로웠는데...

우분투 18.04.5에서 20.04.1로 업그레이드 업데이트 방법 설명(CLI)

https://jimnong.tistory.com/1178

 

우분투 18.04.5에서 20.04.1로 업그레이드 업데이트 후기 방법 설명(GUI)

https://jimnong.tistory.com/1162

 

▼ 우분투 20.04에서 22.04.1로 업데이트 시도는 GUI 환경에서 진행이 안 되더군요.

 

▼ GUI로 안되면 터미널에서 하지 뭐. 했는데... 이것도 영~~~

▲ 업그레이드하기 전에 사용 가능한 모든 업데이트를 설치하십시오. (Please install all available updates for your release before upgrading. )

 

~$ sudo do-release-upgrade
새 우분투 배포판 확인
업그레이드하기 전에 사용 가능한 모든 업데이트를 설치하십시오.
(Please install all available updates for your release before upgrading)

 

~$ sudo apt update
패키지 목록을 읽는 중입니다... 완료
의존성 트리를 만드는 중입니다       
상태 정보를 읽는 중입니다... 완료
패키지 7이(가) 업그레이드되었습니다. 'apt list --upgradable'를 실행하여 확인해 보십시오.

 

~$ sudo apt list --upgradable
나열 중... 완료
e2fsprogs-l10n/focal-updates,focal-updates,focal-security,focal-security 1.45.5-2ubuntu1.1 all [다음에서 업그레이드 가능: 1.45.5-2ubuntu1]
gnupg-agent/focal-updates,focal-updates,focal-security,focal-security 2.2.19-3ubuntu2.2 all [다음에서 업그레이드 가능: 2.2.19-3ubuntu2.1]
gnupg2/focal-updates,focal-updates,focal-security,focal-security 2.2.19-3ubuntu2.2 all [다음에서 업그레이드 가능: 2.2.19-3ubuntu2.1]
libgcc1/focal-updates,focal-security 1:10.3.0-1ubuntu1~20.04 amd64 [다음에서 업그레이드 가능: 1:10.2.0-5ubuntu1~20.04]
libgstreamer-plugins-bad1.0-0/focal-updates 1.16.3-0ubuntu1 amd64 [다음에서 업그레이드 가능: 1.16.2-2.1ubuntu1]
mesa-va-drivers/focal-updates,focal-security 21.2.6-0ubuntu0.1~20.04.2 amd64 [다음에서 업그레이드 가능: 20.2.6-0ubuntu0.20.04.1]
ubuntu-core-launcher/focal-updates 2.55.5+20.04 amd64 [다음에서 업그레이드 가능: 2.48.3+20.04]

 

~$ sudo apt dist-upgrade -y
0개 업그레이드, 0개 새로 설치, 0개 제거 및 0개 업그레이드 안 함.

 

~$ sudo apt autoremove
0개 업그레이드, 0개 새로 설치, 0개 제거 및 7개 업그레이드 안 함.

 

~$ sudo apt full-upgrade
0개 업그레이드, 0개 새로 설치, 0개 제거 및 0개 업그레이드 안 함.

▲ 이러지도 저러지도 못하는 상황. ㅠㅠ

 

위의 텍스트 기준 : 문제가 되는 패키지는 아래의 7가지.
e2fsprogs-l10n
gnupg-agent
gnupg2
libgcc1
libgstreamer-plugins-bad1.0-0
mesa-va-drivers
ubuntu-core-launcher

 

▼ 아래 링크를 참고하여...

http://ohyecloudy.com/ddiary/2018/12/19/til-how-to-install-specific-version-of-some-package/ 

▼ "apt-cache policy 패키지명" 형식으로 현재 상태를 살폈더니...

▲ 죄다 한 단계씩 아래 버전으로 설치되어 있더군요.

 

위에 적은 참고 글에 추가된 링크들 중 하나를 보면...

https://askubuntu.com/questions/92019/how-to-install-specific-ubuntu-packages-with-exact-version

sudo apt-get install 패키지명=버전명

이런 식으로 처리하면 된다 하고, 연두색 네모에서 sudo apt list --upgradable 명령어로 버전 확인을 했었으니... 실행해 봤습니다.

 

sudo apt install e2fsprogs-l10n=1.45.5-2ubuntu1.1

sudo apt install gnupg-agent=2.2.19-3ubuntu2.2

sudo apt install gnupg2=2.2.19-3ubuntu2.2

sudo apt install libgcc1=1:10.3.0-1ubuntu1~20.04

sudo apt install libgstreamer-plugins-bad1.0-0=1.16.3-0ubuntu1

sudo apt install mesa-va-drivers=21.2.6-0ubuntu0.1~20.04.2

sudo apt install ubuntu-core-launcher=2.55.5+20.04

 

▲ 망가진 고정 패키지가 있습니다. 아...

 

e2fsprogs-l10n 패키지부터 제거(remove) 시도했는데 경고 메세지가 무시무시해서;;; 중단.

 

일단 포기.

때로는 기다리는 것이 좋을 수도 있습니다.

 

일주일 뒤 계속 진행.
아래 순서대로 문제가 되는 패키지들을 삭제 시도했는데, 다행히도 에러 없이 진행됐습니다.
그리고 업그레이드 매니저 재소환.

 

sudo apt list --upgradable

sudo apt remove libgcc1
sudo apt remove mesa-va-drivers
sudo apt remove libgstreamer-plugins-bad1.0-0
sudo apt remove gnupg2
sudo apt remove gnupg-agent
sudo apt remove ubuntu-core-launcher
sudo apt remove e2fsprogs-l10n

 

sudo do-release-upgrade

 

▲어? 된다!

 

설치 후 재부팅.

리눅스 커널 패닉. -_-;;
(Linux Kernel Panic)

 

not syncing VFS Unable to mount root fs 블라블라.

 

우분투 리눅스용 GRUB으로 부팅한 것이 아니라
만자로 리눅스용 GRUB으로 부팅한 것이 원인인 것 같았습니다.
sudo update-grub 으로 우분투용 grub을 암만 업데이트 해봐야
만자로 리눅스 파티션에 설치된 grub에는 반영이 안 되더군요.
(윈도우 + 우분투 리눅스 + 만자로 리눅스 + 페도라 리눅스 쿼드부팅이라
특이한 환경이긴 합니다.ㅋ)

 

만자로 리눅스로 부팅하여 grub 업데이트를 해주고 재부팅하여
다시 우분투 리눅스로 부팅 시도했더니 정상 작동하였습니다.

 

▲ 이거 하나 보려고 업그레이드를 몇 시간 동안이나 한 건지...
(wayland 환경에 적응해봐야 될 것 같습니다.)

①광고 차단 플러그인 해제 후 새로고침(F5)
②글주소 복사 ▶ Ctrl+Shift+N(시크릿탭) ▶ 붙여넣고 엔터

① 또는 ②의 방법으로 본문을 볼 수 있습니다.
(Please turn off AdBlock Plug-in.)


p.s. 광고에도 여러분이 관심을 가질만한 정보가 녹아있을 수 있습니다.

( ※ 내가 애드블록 해제를 권유하는 이유 )


댓글 0

댓글!! 작은 정보를 남겨주세요. 다른 분들께 큰 도움이 됩니다. ★